Несколько уязвимостей в Kostenloses Linkmanagementscript

Дата публикации:
19.05.2008
Дата изменения:
19.05.2008
Всего просмотров:
859
Опасность:
Высокая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2008-2270
CVE-2008-2301
Вектор эксплуатации:
Удаленная
Воздействие:
Неавторизованное изменение данных
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Kostenloses Linkmanagementscript
Уязвимые версии: Kostenloses Linkmanagementscript

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю выполнить произвольные SQL команды и скомпрометировать целевую систему.

1. Уязвимость существует из-за недостаточной обработки входных данных в параметрах "main_page_directory" и "page_to_include" в сценарии template/index.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Для удачной эксплуатации уязвимости опция "register_globals" должна быть включена в конфигурационном файле PHP.

2. Уязвимость существует из-за недостаточной обработки входных данных в параметре "id" в сценариях top_view.php и view.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольные SQL команды в базе данных приложения. Для успешной эксплуатации уязвимости опция "magic_quotes_gpc" должна быть отключена в конфигурационном файле PHP.

URL производителя: scripte.phpway.de

Решение: Способов устранения уязвимости не существует в настоящее время.

или введите имя

CAPTCHA